.nip-search {
    display: none;
}

.wcag-contrast-blackwhite .nip-search,
.wcag-contrast-blackyellow .nip-search {
    border: 1px solid var(--bs-card-color);
}

.df-pola-grid.obsluga-gus.osoba-fizyczna.typ-id-wew .nip-search,
.df-pola-grid.obsluga-gus.podmiot-gospodarczy.typ-nip .nip-search {
    display: block;
}

.pole-identyfikator-podatkowy {
    border-bottom-right-radius: 0.375rem !important;
    border-top-right-radius: 0.375rem !important;
}

.df-pola-grid.obsluga-gus.osoba-fizyczna.typ-id-wew .pole-identyfikator-podatkowy,
.df-pola-grid.obsluga-gus.podmiot-gospodarczy.typ-nip .pole-identyfikator-podatkowy {
    border-bottom-right-radius: 0 !important;
    border-top-right-radius: 0 !important;
}

.js-zachowane-dane-do-faktur {
    height: 100%;
    border: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
    text-align: center;
    padding: 0;
}

.js-zachowane-dane-do-faktur:hover {
    cursor: pointer;
}

.js-zachowane-dane-do-faktur .df-block-nazwa {
    font-weight: 500;
    display: block;
    margin-bottom: 0.5rem;
}

.js-zachowane-dane-do-faktur.selected {
    background-color: #f2f2f2;
    border: 2px solid #1c6e4a;
    /*box-shadow: 0 0 0 .25rem rgba(28, 110, 74, .35);*/
}

.wcag-contrast-default .js-zachowane-dane-do-faktur.selected {
    background-color: var(--bs-light);
}

.faktura-nowe-dane {
    color: black;
    display: block;
}

.faktura-nowe-dane:hover {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.podsumowanie-df-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
    grid-column: 1 / -1;
}

.wybrane-dane-do-fakuty-label {
    grid-column: 1 / -1;
}

@media (min-width: 768px) {
    .podsumowanie-df-grid {
        grid-template-columns: 1fr 1fr;
    }
}

@media (min-width: 1400px) {
    .podsumowanie-df-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

.row-podsumowanie-faktura {
    border: 1px solid var(--bs-border-color);
}

.df-rola-faktury,
.df-dane-sformatowane {
    padding: 0.5rem;
    text-align: center;
}

.df-rola-faktury {
    border-bottom: 1px solid var(--bs-border-color);
}

.wcag-contrast-default .df-rola-faktury {
    background-color: var(--bs-light);
}

.df-dane-sformatowane .df-block-nazwa {
    font-weight: 500;
}

.js-df-row {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
    padding-bottom: 1rem;
}

@media (min-width: 576px) {
    .js-df-row {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 768px) {
    .js-df-row {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (min-width: 1200px) {
    .js-df-row {
        grid-template-columns: repeat(4, 1fr);
    }
}

.df-koszyk-nowe-dane {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    border: 1px solid var(--bs-border-color);
    padding: 1rem;
    text-decoration: none;
    text-transform: uppercase;
}

.df-pola-grid {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

.df-pola-grid .form-label {
    margin-bottom: 0.25rem;
}

.faktura-rodzaj-input-group {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 0;
    gap: 1rem;
}

.faktura-rodzaj-input-group label {
    white-space: nowrap;
    width: 100%;
}

.faktura-rodzaj-input-group .input-group {
    display: inline-block;
    width: auto;
}

@media (min-width: 768px) {
    #koszyk-faktura-collapse .form-check,
    #koszyk-faktura-collapse .form-group {
        margin-bottom: 0;
    }

    #koszyk-faktura-collapse .form-group:not(.faktura-rodzaj-input-group) {
        display: flex;
        flex-direction: column;
        justify-content: start;
    }

    .df-pola-grid {
        display: grid;
        grid-template-columns: repeat(6, 1fr);
        column-gap: 1rem;
        row-gap: 0.8rem;
    }

    .df-pola-grid .form-group {
        grid-column: 1 / -1; /*zajmują wszystkie kolumny z grida*/
    }

    .df-pola-grid .form-group[class*="odbiorca_rola"],
    .df-pola-grid .form-group[class*="kraj"],
    .df-pola-grid .form-group[class*="identyfikatorPodatkowyKrajUe"],
    .df-pola-grid .form-group[class*="identyfikatorPodatkowyKraj"],
    .df-pola-grid .form-group[class*="identyfikatorpodatkowy"],
    .df-pola-grid .form-group[class*="identyfikatorPodatkowyTyp"],
    .df-pola-grid .form-group[class*="imie"],
    .df-pola-grid .form-group[class*="nazwisko"] {
        grid-column: span 3;
    }

    .df-pola-grid .form-group[class*="kod"] {
        grid-column: span 2;
    }

    .df-pola-grid .form-group[class*="miejscowosc"] {
        grid-column: span 4;
    }
}

.f-vat-block {
    border: 1px solid var(--bs-border-color);
    padding: 1rem;
    margin-bottom: 1rem;
    margin-top: 1rem;
}

.idtPodatkowyGroup {
    position: relative;
    display: none;
}

.df-pola-grid.osoba-fizyczna.typ-id-wew .idtPodatkowyGroup,
.df-pola-grid.podmiot-gospodarczy.typ-nip .idtPodatkowyGroup,
.df-pola-grid.podmiot-gospodarczy.typ-vatue .idtPodatkowyGroup,
.df-pola-grid.podmiot-gospodarczy.typ-vatue .idtPodatkowyGroup,
.df-pola-grid.podmiot-gospodarczy.typ-inny .idtPodatkowyGroup,
.df-pola-grid.podmiot-gospodarczy.typ-id-wew .idtPodatkowyGroup {
    display: block;
}

.vies-icons {
    display: none;
}

.vies-icons button {
    display: none;
    padding: 0;
    background-color: transparent;
    border: none;
}

.df-pola-grid.podmiot-gospodarczy.typ-vatue.vat-ue-checked .form-group .vies-icons {
    display: block;
    position: absolute;
    bottom: 12px;
    right: 6px;
    z-index: 5;
}

.df-pola-grid.podmiot-gospodarczy.typ-vatue.vat-ue-checked .form-group:has(.is-invalid) .vies-icons { /* gdy pojawił się invalid-feedback */
    bottom: 32px;
}

.df-pola-grid.podmiot-gospodarczy.typ-vatue.vat-ue-checked .form-group.vies-valid .vies-icons .vies-icon-correct {
    color: var(--bs-success);
    display: inline-block;
}

.df-pola-grid.podmiot-gospodarczy.typ-vatue.vat-ue-checked .form-group.vies-invalid .vies-icons .vies-icon-incorrect {
    color: rgba(var(--bs-danger-rgb), 0.75);
    display: inline-block;
}

.df-pola-grid.podmiot-gospodarczy.typ-vatue.vat-ue-checked .form-group.vies-unknown .vies-icons .vies-icon-unknown {
    color: var(--bs-warning);
    display: inline-block;
}

.vies-icons .vies-icon-unknown a {
    text-decoration: none;
    color: var(--bs-body-color);
}


.df-pola-grid .form-group {
    margin-bottom: 0;
}

.js-radio-item.disabled {
    opacity: 0.5;
    pointer-events: none;
    cursor: not-allowed;
}

.js-radio-item.disabled:hover {
    cursor: not-allowed;
}

#daneDoFakturySekcja {
    grid-column: 1 / -1;
}

input[name=koszyk-faktura_nabywca_rodzaj],
input[name=koszyk-faktura_odbiorca_rodzaj],
input[name=koszyk-faktura_platnik_rodzaj],
input[name=koszyk-faktura_pracowniknabywcy_rodzaj] {
    width: 15px;
    height: 15px;
    border-radius: 50% !important;
}

body[data-page_name="rezerwacja_koszyk_index"] .df-pola-grid .form-check {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 7px;

}

body[data-page_name="rezerwacja_koszyk_index"] .df-pola-grid .form-check-input {
    padding: 0 !important;
}
